using FluentValidation;

namespace Baya.Application.Features.Configuration.Commands.UpdatePlatformConfig;

public sealed class UpdatePlatformConfigCommandValidator : AbstractValidator<UpdatePlatformConfigCommand>
{
    public UpdatePlatformConfigCommandValidator()
    {
        RuleFor(x => x.Key).NotEmpty().MaximumLength(100);
        RuleFor(x => x.Value).NotNull();
    }
}
